#!/bin/bash

i386-tcc -E -P bootsect.S -D__BIG_KERNEL__ -o bootsect.s
as --32 bootsect.s -o bootsect.o

if false; then
    ld -Ttext=0 --oformat=binary -o bbootsect bootsect.o
else
    i386-tcc  \
    -nostdlib -nostdinc \
    -static -Wl,-Ttext,0 -Wl,--oformat,binary \
    -fno-common \
    -D__KERNEL__ -D__OPTIMIZE__ \
    -D__GNUC__=2 -D__GNUC_MINOR__=95 \
    -o bootsect.tcc bootsect.o

    dd if=bootsect.tcc of=bbootsect bs=1 count=512 2> /dev/null
    chmod a+x bbootsect
    chmod a-x bootsect.tcc
fi

cp bbootsect ..
